package com.javacodegeeks.examples;

public class EscapeCharacterExample {
	public static void main(String[] args) {
		// \t tab
		printEscapeCharacterWithExample("tab : \\t", '\t');
		// \b backspace
		printEscapeCharacterWithExample("backspace : \\b", '\b');
		// \n new line
		printEscapeCharacterWithExample("new line  : \\n", '\n');
		// \r carriage return
		printEscapeCharacterWithExample("carriage return : \\r", '\r');
		// \f form feed
		printEscapeCharacterWithExample("form feed : \\f", '\f');
		// \' single quote
		printEscapeCharacterWithExample("single qoute : \\'", '\'');
		// \" double quote
		printEscapeCharacterWithExample("double quote : \"", '\"');
		// \\ backslash
		printEscapeCharacterWithExample("backslash : \\", '\\');

	}

	static void printEscapeCharacterWithExample(String escapeCharacterString, char escapeCharacter) {
		String preText = "Pre Text";
		String middleText = "Middle Text";
		String postText = "Post Text";
		System.out.println(escapeCharacterString);
		System.out.println(preText + escapeCharacter + middleText + escapeCharacter + postText);
		System.out.println();
	}
}


